org.apache.maven.scm.provider.hg.repository

## Class HgScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.hg.repository.HgScmProviderRepository

    public class HgScmProviderRepository
    extends ScmProviderRepositoryWithHost

Author:
  thurner rupert

### Constructor Summary

Constructors
Constructor and Description
`HgScmProviderRepository(String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getURI()`
`String` `toString()`
`String` `validateURI()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HgScmProviderRepository

    public HgScmProviderRepository(String url)

### Method Detail

#### getURI

    public String getURI()

#### validateURI

    public String validateURI()

Returns:
  A message if the repository as an invalid URI, null if the URI seems fine.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`